# eoVlUniformBinOp< EOT > Class Template Reference

Direct Uniform Exchange of genes for Variable Length, BINARY version. More...

`#include <eoVariableLengthCrossover.h>`

Inheritance diagram for eoVlUniformBinOp< EOT >:

List of all members.

## Public Types

typedef EOT::AtomType | AtomType

## Public Member Functions

| eoVlUniformBinOp (unsigned _Min, unsigned _Max, double _rate=0.5)
bool | operator() (EOT &_eo1, const EOT &_eo2)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned | Min
unsigned | Max
double | rate

## Detailed Description

### template<class EOT>
class eoVlUniformBinOp< EOT >

Direct Uniform Exchange of genes for Variable Length, BINARY version.

A very primitive version, that does no verification at all!!! NEEDS to be improved - but no time now :-((( Especially, if both guys have maximal size, it will take some time to generate even 1 offspring that is not oversized!!! Also, we should first check for identical atoms, and copy them to the offspring, and only after that exchange the other ones (Radcliffe's RRR).

Definition at line 280 of file eoVariableLengthCrossover.h.

The documentation for this class was generated from the following file:

- eoVariableLengthCrossover.h